LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
04881Bug reports[All Projects] Survey takingpublic2011-01-18 16:162011-01-26 22:10
Reporterjacopo 
Assigned Tomdekker 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version1.91RC2 
Target VersionFixed in Version1.91RC3 
Summary04881: Cannot submit (or go beyond the first page of) closed-access surveys
DescriptionIt is impossible to go beyond the first page on a token-protected survey.

Error message: "This is a closed-access survey, thus a valid token is required. Please contact the administrator for assistance. The token you have provided is either not valid, or has already been used."
Steps To Reproduce1) Create a closed-access survey
2) Create a valid token
3) Start taking the survey
4) Submitting (or going to page 2 on multi-page surveys) is denied
Additional InformationA test survey is attached
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID9672
Browser
Database & DB-VersionMySQL 5.1.49
Operating System (Server)Ubuntu 10.10
Webserver software & versionApache 2.2.16
PHP Version5.3.3
Attached Files? file icon test_survey_49789.lss [^] (16,769 bytes) 2011-01-18 16:16

- Relationships

-  Notes
User avatar (13939)
jacopo (reporter)
2011-01-18 18:54

After wrestling with SVN I managed to cherry-pick the fix from revision 9695 and confirm it works.
I guess the bug can be closed, thanks for fixing.
User avatar (13940)
mdekker (developer)
2011-01-19 08:58

Thanks for reporting back!
User avatar (13960)
nateday76 (reporter)
2011-01-23 22:43

I'm currently using build Version 1.91RC2 Build 9672 and I am experiencing the above problem.
User avatar (13966)
c_schmitz (administrator)
2011-01-26 22:10

Released.

- Issue History
Date Modified Username Field Change
2011-01-18 16:16 jacopo New Issue
2011-01-18 16:16 jacopo File Added: test_survey_49789.lss
2011-01-18 18:54 jacopo Note Added: 13939
2011-01-19 08:58 mdekker Note Added: 13940
2011-01-19 08:58 mdekker Status new => resolved
2011-01-19 08:58 mdekker Fixed in Version => 1.91RC3
2011-01-19 08:58 mdekker Resolution open => fixed
2011-01-19 08:58 mdekker Assigned To => mdekker
2011-01-23 22:43 nateday76 Note Added: 13960
2011-01-26 22:10 c_schmitz Note Added: 13966
2011-01-26 22:10 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker